# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @useDynLib xdcclarge, .registration = TRUE
#' @importFrom Rcpp evalCpp
NULL

#' This function calculates log-likelihood of cDCC-garch model with composite likelihood method.
#' @param alpha cDCC-GARCH parameter
#' @param beta cDCC-GARCH parameter
#' @param ht matrix of conditional variance vectors (T by N)
#' @param residuals matrix of residual(de-mean) returns  (T by N)
#' @param stdresids matrix of standrdized(De-GARCH) residual returns (T by N)
#' @param uncR unconditional correlation matrix of stdresids (N by N)
#' @param nobs the length of time-series (T)
#' @param ndim the dimension of time-series (N)
#'
#' @return log-likelihood of cDCC-GARCH model(scaler)
NULL

cdcc_compositelik <- function(alpha, beta, ht, residuals, stdresids, uncR, nobs, ndim) {
    .Call(`_xdcclarge_cdcc_compositelik`, alpha, beta, ht, residuals, stdresids, uncR, nobs, ndim)
}

#' @useDynLib xdcclarge, .registration = TRUE
#' @importFrom Rcpp evalCpp
NULL

#' This function constructs DCC-garch model's correlation term(Rt).
#' @param alpha DCC-GARCH parameter
#' @param beta DCC-GARCH parameter
#' @param stdresids matrix of standrdized(De-GARCH) residual returns (T by N)
#' @param uncR unconditional correlation matrix of stdresids (N by N)
#' @param nobs the length of time-series (T)
#' @param ndim the dimension of time-series (N)
#' @param ts how many time series are you taking
#'
#' @return DCC-garch model's correlation term(Rt)
NULL

cdcc_construct <- function(alpha, beta, stdresids, uncR, nobs, ndim, ts) {
    .Call(`_xdcclarge_cdcc_construct`, alpha, beta, stdresids, uncR, nobs, ndim, ts)
}

#' @useDynLib xdcclarge, .registration = TRUE
#' @importFrom Rcpp evalCpp
NULL

#' This function calculates log-likelihood of DCC-garch model with composite likelihood method.
#' @param alpha DCC-GARCH parameter
#' @param beta DCC-GARCH parameter
#' @param ht matrix of conditional variance vectors (T by N)
#' @param residuals matrix of residual(de-mean) returns (T by N)
#' @param stdresids matrix of standrdized(De-GARCH) residual returns (T by N)
#' @param uncR unconditional correlation matrix of stdresids (N by N)
#' @param nobs the length of time-series (T)
#' @param ndim the dimension of time-series (N)
#'
#' @return log-likelihood of DCC-GARCH model(scaler)
NULL

dcc_compositelik <- function(alpha, beta, ht, residuals, stdresids, uncR, nobs, ndim) {
    .Call(`_xdcclarge_dcc_compositelik`, alpha, beta, ht, residuals, stdresids, uncR, nobs, ndim)
}

#' @useDynLib xdcclarge, .registration = TRUE
#' @importFrom Rcpp evalCpp
NULL

#' This function constructs DCC-garch model's correlation term(Rt).
#' @param alpha DCC-GARCH parameter
#' @param beta DCC-GARCH parameter
#' @param stdresids matrix of standrdized(De-GARCH) residual returns (T by N)
#' @param uncR unconditional correlation matrix of stdresids (N by N)
#' @param nobs the length of time-series (T)
#' @param ndim the dimension of time-series (N)
#' @param ts how many time series are you taking
#'
#' @return DCC-garch model's correlation term(Rt)
NULL

dcc_construct <- function(alpha, beta, stdresids, uncR, nobs, ndim, ts) {
    .Call(`_xdcclarge_dcc_construct`, alpha, beta, stdresids, uncR, nobs, ndim, ts)
}

